# Angular-Nginx-Docker-Deploy

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 10.1.7.
This project is an example of deployment of an angular project with a nginx and docker server.
You find attached the steps and commands to follow to deploy and start the project 
the prerequisites : 
- [Node.js](https://nodejs.org/fr/download/)
- [Docker](https://www.docker.com/)
- [Angular CLI](https://cli.angular.io/)

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Running docker build

Run `docker build -t angular-nginx-build .`

## Publish docker build

Run `docker run --publish 80:80 angular-nginx-build`

## Result
Navigate to `http://localhost/`
